Base revision: [c4c5e79dd4b4c78eee7cffd9b0d7394b5bedcf12](https://github.com/llvm/llvm-project/commits/c4c5e79dd4b4c78eee7cffd9b0d7394b5bedcf12)

- [Revert "[LoopVectorize] Enable integer Mul and Add as select](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/4468e27d9fff153af9826eaf12e0044e67a701a8.patch)
- [[CMake] Support undefined LLVM_NATIVE_ARCH in](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/2e3153059c268700d4b399a8cbba28e9c2514e09.patch)
- [[RISCV] Allow mismatched SmallDataLimit and use Min for](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/af128791464810123bcd60a6d9d0902b5c550aef.patch)
- [[RISCV] Fix miscompile in SExtWRemoval due to early return](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/db6bee5fec0d7fdfc18005c5c5ccd15f1ede945d.patch)
- [[MTE stack] fix incorrect offset for st2g](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/a4ab294bc01c8f538951ec223b81bfc1b2c2af6b.patch)
- [Clear read_fd_set if EINTR received](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/d8bd179a173876a7a9ee11828b63efffe145356c.patch)
- [Revert "[Clang] Implement fix for DR2628"](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/3b6c88331bcd0531d627fe27de5dbd0ac3165300.patch)
- [[HWASAN][LSAN] Only initialize Symbolizer if leak checking is](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/7b7db789ff3d8750d1098dcc84aa29d11877d610.patch)
- [Revert "[Darwin] Apply workaround to make symbolication in](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/d8b8911d58dba73fd7a28210d8d3e780ae881179.patch)
- [[compiler-rt][builtins] Define AT_HWCAP2 for AArch64](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/23fcca822a3a3b9a14b6a1ad432814e2634cdb63.patch)
- [[llvm-objdump] Fix help message for --print-imm-hex](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/3d65cd405d64afd86a59c1f58098dfe891841271.patch)
- [[BOLT][NFC] Simplify code using std::optional](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/d788db3d193eac219a9e2a1afc785800ab7378bf.patch)
- [[CodeGen] precommit machine-latecleanup test](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/f3ce0af17a074434889e5d836ed76e51f11bddd6.patch)
- [[clang][driver] Pass `-femulated-tls` through to the linker](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/a78816a6b6debb548efbf1717aeeb490df42f401.patch)
- [[codegen][riscv] Emit CFI directives when using shadow call](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/ade336d6e14140134728b9991be8e4e68d6205ea.patch)
- [[patches] Cherry pick CLS for: [PATCH] [CodeGen][RISCV]](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/aa1d2693c25622ea4a8ee2b622ba2a617e18ef88.patch)
- [[StackProtector] don't check stack protector before calling](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/fc4494dffa5422b2be5442c235554e76bed79c8a.patch)
- [[compiler-rt] Include system headers before optionally](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/16949c5c48ab475d34547d4bbbe91df7efe73120.patch)
- [[BOLT] Parallelize legacy profile merging](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/35af20d9e036deeed250b73fd3ae86d6455173c5.patch)
- [[CodeGen][MachineLastInstrsCleanup] fix INLINEASM_BR hazard](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/012ea747ed0275c499f69c82ac0f635f4c76f746.patch)
- [[HWASan] use hwasan linker for Android 14+](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/a2684acfb61d40f441e240035d7f1ba50da637c8.patch)
- [[compiler-rt][AArch64] Correct how FMV use ifunc resolver](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/61962aa1eec922c7dddd36897bb29888b4c98174.patch)
- [[ARM][ISel] Fix crash of ISD::FMINNUM/FMAXNUM (#65849)](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/cherry/347b3f120903fcdc255b78177cb584e4c0aa4b54.patch)
- [Add-stubs-and-headers-for-nl_types-APIs.patch](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/Add-stubs-and-headers-for-nl_types-APIs.patch)
- [Ensure-that-we-use-our-toolchain-s-lipo-and-not-the-.patch](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/Ensure-that-we-use-our-toolchain-s-lipo-and-not-the-.patch)
- [BOLT-Increase-max-allocation-size-to-allow-BOLTing-clang-and-rustc.patch](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/BOLT-Increase-max-allocation-size-to-allow-BOLTing-clang-and-rustc.patch)
- [Revert-clang-Improve-diagnostics-for-expansion-length-mismatch-v3.patch](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/Revert-clang-Improve-diagnostics-for-expansion-length-mismatch-v3.patch)
- [Revert-clang-fix-missing-initialization-of-original-number-of-expansions-v3.patch](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/Revert-clang-fix-missing-initialization-of-original-number-of-expansions-v3.patch)
- [Revert-Enable-IAS-In-Backend-v2.patch](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/Revert-Enable-IAS-In-Backend-v2.patch)
- [Disable-vfork-fork-events.patch](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/Disable-vfork-fork-events.patch)
- [Enable-targeting-riscv64-linux-android.patch](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/Enable-targeting-riscv64-linux-android.patch)
- [Revert-Driver-Allow-target-override-containing-.-in-executable-name.patch](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/Revert-Driver-Allow-target-override-containing-.-in-executable-name.patch)
- [Wasm-omit-64-bit-function-pointer-cast.patch](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/Wasm-omit-64-bit-function-pointer-cast.patch)
- [compiler-rt-Allow-finding-LLVMConfig-if-CMAKE_FIND_ROOT_PATH_MODE_PACKAGE-is-set-to-ONLY.patch](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/compiler-rt-Allow-finding-LLVMConfig-if-CMAKE_FIND_ROOT_PATH_MODE_PACKAGE-is-set-to-ONLY.patch)
- [enable-libcxx-testing-using-adb.patch](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/enable-libcxx-testing-using-adb.patch)
- [move-cxa-demangle-into-libcxxdemangle.patch](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/move-cxa-demangle-into-libcxxdemangle.patch)
- [avoid-triggering-fdsan-in-filebuf-test.patch](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/avoid-triggering-fdsan-in-filebuf-test.patch)
- [hide-locale-lit-features-for-bionic.patch](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/hide-locale-lit-features-for-bionic.patch)
- [android-temp-dir-is-data-local-tmp.patch](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/android-temp-dir-is-data-local-tmp.patch)
- [bionic-includes-plus-sign-for-nan.patch](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/bionic-includes-plus-sign-for-nan.patch)
- [disable-symlink-resolve-test-on-android.patch](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/disable-symlink-resolve-test-on-android.patch)
- [avoid-fifo-socket-hardlink-in-libcxx-tests.patch](https://android.googlesource.com/toolchain/llvm_android/+/0f058ab00ec6c9b8b39956c1393bcc405a5498d3/patches/avoid-fifo-socket-hardlink-in-libcxx-tests.patch)